# OrcExecutor

## Functions

### orc_executor_emulate

    void
    orc_executor_emulate (OrcExecutor * ex)

Parameters:

`ex` –
No description available
Returns (void ) –
No description available

### orc_executor_free

    void
    orc_executor_free (OrcExecutor * ex)

Parameters:

`ex` –
No description available
Returns (void ) –
No description available

### orc_executor_get_accumulator

    int
    orc_executor_get_accumulator (OrcExecutor * ex,
                                  int  var)

Parameters:

`ex` –
No description available
`var` –
No description available
Returns (int ) –
No description available

### orc_executor_get_accumulator_str

    int
    orc_executor_get_accumulator_str (OrcExecutor * ex,
                                      const char * name)

Parameters:

`ex` –
No description available
`name` –
No description available
Returns (int ) –
No description available

### orc_executor_new

    OrcExecutor *
    orc_executor_new (OrcProgram * program)

Parameters:

`program` –
No description available
Returns (OrcExecutor *) –
No description available

### orc_executor_run

    void
    orc_executor_run (OrcExecutor * ex)

Parameters:

`ex` –
No description available
Returns (void ) –
No description available

### orc_executor_run_backup

    void
    orc_executor_run_backup (OrcExecutor * ex)

Parameters:

`ex` –
No description available
Returns (void ) –
No description available

### orc_executor_set_array

    void
    orc_executor_set_array (OrcExecutor * ex,
                            int  var,
                            void * ptr)

Parameters:

`ex` –
No description available
`var` –
No description available
`ptr` –
No description available
Returns (void ) –
No description available

### orc_executor_set_array_str

    void
    orc_executor_set_array_str (OrcExecutor * ex,
                                const char * name,
                                void * ptr)

Parameters:

`ex` –
No description available
`name` –
No description available
`ptr` –
No description available
Returns (void ) –
No description available

### orc_executor_set_m

    void
    orc_executor_set_m (OrcExecutor * ex,
                        int  m)

Parameters:

`ex` –
No description available
`m` –
No description available
Returns (void ) –
No description available

### orc_executor_set_n

    void
    orc_executor_set_n (OrcExecutor * ex,
                        int  n)

Parameters:

`ex` –
No description available
`n` –
No description available
Returns (void ) –
No description available

### orc_executor_set_param

    void
    orc_executor_set_param (OrcExecutor * ex,
                            int  var,
                            int  value)

Parameters:

`ex` –
No description available
`var` –
No description available
`value` –
No description available
Returns (void ) –
No description available

### orc_executor_set_param_double

    void
    orc_executor_set_param_double (OrcExecutor * ex,
                                   int  var,
                                   double  value)

Parameters:

`ex` –
No description available
`var` –
No description available
`value` –
No description available
Returns (void ) –
No description available

### orc_executor_set_param_float

    void
    orc_executor_set_param_float (OrcExecutor * ex,
                                  int  var,
                                  float  value)

Parameters:

`ex` –
No description available
`var` –
No description available
`value` –
No description available
Returns (void ) –
No description available

### orc_executor_set_param_int64

    void
    orc_executor_set_param_int64 (OrcExecutor * ex,
                                  int  var,
                                  orc_int64 value)

Parameters:

`ex` –
No description available
`var` –
No description available
`value` –
No description available
Returns (void ) –
No description available

### orc_executor_set_param_str

    void
    orc_executor_set_param_str (OrcExecutor * ex,
                                const char * name,
                                int  value)

Parameters:

`ex` –
No description available
`name` –
No description available
`value` –
No description available
Returns (void ) –
No description available

### orc_executor_set_program

    void
    orc_executor_set_program (OrcExecutor * ex,
                              OrcProgram * program)

Parameters:

`ex` –
No description available
`program` –
No description available
Returns (void ) –
No description available

### orc_executor_set_stride

    void
    orc_executor_set_stride (OrcExecutor * ex,
                             int  var,
                             int  stride)

Parameters:

`ex` –
No description available
`var` –
No description available
`stride` –
No description available
Returns (void ) –
No description available

## Structures

### OrcExecutor

### OrcExecutorAlt

### OrcOpcodeExecutor

The OrcOpcodeExecutor structure has no public members

## Callbacks

### OrcExecutorFunc

    void
    (*OrcExecutorFunc) ()

Returns (void ) –
No description available

### OrcOpcodeEmulate16Func

    void
    (*OrcOpcodeEmulate16Func) ()

Returns (void ) –
No description available

### OrcOpcodeEmulateFunc

    void
    (*OrcOpcodeEmulateFunc) (void * user)

Parameters:

`user` –
No description available
Returns (void ) –
No description available

### OrcOpcodeEmulateNFunc

    void
    (*OrcOpcodeEmulateNFunc) (int  index,
                              int  n)

Parameters:

`index` –
No description available
`n` –
No description available
Returns (void ) –
No description available

The results of the search are